
#import "ViewController.h"

@interface ViewController ()
@property (weak, nonatomic) IBOutlet UILabel *originalSizeLabel;
@property (weak, nonatomic) IBOutlet UILabel *editedSIzeLabel;
@property (weak, nonatomic) IBOutlet UILabel *cropRectSizeLabel;

@end

@implementation ViewController

- (void)viewDidLoad {
  [super viewDidLoad];
  // Do any additional setup after loading the view, typically from a nib.
}

- (IBAction)open:(id)sender {
  UIImagePickerController *picker = [[UIImagePickerController alloc] init];
  picker.delegate = self;
  picker.allowsEditing = YES;
  picker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
  
  [self presentViewController:picker animated:YES completion:NULL];
  
}

- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info {
  
  UIImage *editedImage = info[UIImagePickerControllerEditedImage];
  UIImage *originalImage = info[UIImagePickerControllerOriginalImage];
 // self.imageView.image = chosenImage;
  NSValue *value = info[UIImagePickerControllerCropRect];
  CGRect cropRect = [value CGRectValue];
  
  _editedSIzeLabel.text = [NSString stringWithFormat: @"Edited image size is { %.1f, %.1f }", editedImage.size.width, editedImage.size.height ];
  _originalSizeLabel.text = [NSString stringWithFormat: @"Original image siz is {%.1f, %.1f}", originalImage.size.width, originalImage.size.height];
  _cropRectSizeLabel.text = [NSString stringWithFormat:@"Crop rect is {%.1f, %.1f, %.1f, %.1f}",cropRect.origin.x, cropRect.origin.y, cropRect.size.width, cropRect.size.height];

  
  [picker dismissViewControllerAnimated:YES completion:NULL];
  
}

- (void)imagePickerControllerDidCancel:(UIImagePickerController *)picker {
  
  [picker dismissViewControllerAnimated:YES completion:NULL];
  
}

- (void)didReceiveMemoryWarning {
  [super didReceiveMemoryWarning];
  // Dispose of any resources that can be recreated.
}


@end
